package charge

import (
	"math"
)

// 弃用
func GetChessDiamond(Lv, Type int) int {
	Diamond := 0.0
	if Type == 1 {
		Diamond = 0.27 * math.Exp(float64(Lv)*0.56)
	} else {
		Diamond = 2.64 * math.Pow(float64(Lv), 2.43)
	}
	d := int(Diamond)
	if d > 10 {
		r := d % 10
		if r > 3 {
			return d - r
		}
	}
	return max(1, d)
}
